| Home | Libraries | People | FAQ | More

##### static_url::set_password

Set the password.

###### Synopsis

    static_url&
    set_password(
        core::string_view s);

###### Description

This function sets the password in the userinfo to the string. Reserved characters in the string are percent-escaped in the result.

###### Remarks

The interpretation of the userinfo as individual user and password components is scheme-dependent. Transmitting passwords in URLs is deprecated.

###### Example

    assert( url( "http://user@example.com" ).set_password( "pass" ).encoded_userinfo() == "user:pass" );

###### Postconditions

    this->has_password() == true && this->password() == s

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Parameters

Name | Description
--- | ---
`s` | The string to set. This string may contain any characters, including nulls.

###### BNF

    userinfo      = [ [ user ] [ ':' password ] ]

    user          = *( unreserved / pct-encoded / sub-delims )
    password      = *( unreserved / pct-encoded / sub-delims / ":" )

###### Specification

- 3.2.1. User Information (rfc3986)

###### See Also

`remove_password`, `set_encoded_password`, `set_encoded_user`, /root/project/libs/url/include/boost/url/static_url.hpp